Create Multiple Metafields
Create multiple metafields.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects a list of objects.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
namespace
Namespace for the metafield, for organizational purposes.
key
The name of the field, for example: location_id, color.
value
The value of the field, for example: 1, blue.
resource_id
The ID of the location with which the metafield is associated.
description
Description for the metafields.
Response
List of created Metafield objects. # TODO
data
errors
Empty for 200 responses.
meta
Batch outcome counts for the write request.
Errors
400
Bad Request Error
422
Unprocessable Entity Error